import { getContext, setContext } from 'svelte';
const key = Symbol('anchors-context');
export const provideAnchors = () => {
    setContext(key, {
        get anchors() {
            return [];
        },
    });
};
export const useAnchors = () => {
    return getContext(key);
};
